import type { IStation } from 'app/services/api/interfaces.server';
import React from 'react';
import { Select, SelectSection, SelectItem } from '@nextui-org/react';

export default function ControlFormHeader({stations}: {stations: IStation[]}) {
    return(
        <div id="control-form-header" className="flex gap-4">
            <Select
                label="Station filter"
                placeholder="Select a station"
                selectionMode="multiple"
                className="w-[250px]"
                size='sm'
                >
                {stations.map((station) => (
                    <SelectItem key={station.title} value={station.title}>
                        {station.title}
                    </SelectItem>
                ))}
            </Select>
        </div>
    );
}
