import { IPark, IStationData } from 'app/services/api/interfaces.server';
import React from 'react';
import Wagon from './wagon';
import Locomotive from './locomotive';

export default function Park({park, railRoads}: {park: IPark, railRoads: IStationData[]}) {
    
    return(
        <div id="control-park" className='relative mb-12 py-1 pl-8 pr-2 border-secondary-200 border-[1px]'>
        <div className="absolute left-0 top-0 w-6 h-full bg-secondary-200 flex justify-center items-center" style={{writingMode: "vertical-lr"}}>{park.name}</div>
        <div className='rounded-none'>
            {railRoads.map(railroad => (
                <div className='min-h-[62px] my-[1px] p-2 flex gap-[2px] border-b-[2px] border-secondary-200 text-center'>
                    <div className="w-12 flex justify-center items-center ">
                        {railroad.way.id}
                    </div>
                    <div className="w-[76px] flex justify-center items-center ">
                        {railroad.wagons.length}
                    </div>
                    <div className="w-12 flex justify-center items-center border-[1px] border-secondary-150">
                        {railroad.locomotives.filter(locomotive => locomotive.direction === "LEFT").length ?
                        <Locomotive locomotive={railroad.locomotives.filter(locomotive => locomotive.direction === "LEFT")[0]}/>:""}
                    </div>
                    <div className="flex grow px-4 py-1 gap-3 border-[1px] border-secondary-150" >
                        {railroad.wagons.sort().map(wagon => <Wagon wagon={wagon} key={wagon.id}/>)}
                    </div>
                    <div className="w-12 flex justify-center items-center  border-[1px] border-secondary-150">
                    {railroad.locomotives.filter(locomotive => locomotive.direction === "RIGHT").length ?
                        <Locomotive locomotive={railroad.locomotives.filter(locomotive => locomotive.direction === "RIGHT")[0]}/>:""}
                    </div>
                </div>
            ))}
        </div>
    </div>
    )
}