import type { IStation, IStationData } from 'app/services/api/interfaces.server';
import React from 'react';
import lodash from 'lodash';
import Park from './Park';

const { uniqBy } = lodash;

export default function Station({station, stationData}: {station: IStation, stationData: IStationData[]}) {
    const parks = uniqBy(stationData.map((way)=>way.park),function (park) {return park.id});
    return(
        <div id="control-station" className="flex flex-col">
            <h2 className='ml-4 my-2'>{station.title}</h2>
            {parks.map(park => {
                const railRoads = stationData.filter(railroad => railroad.park.id == park.id);
                return(<Park park={park} railRoads={railRoads} key={park.id}/>)
            })}
        </div>
    )
}