export interface IOperation {
    id: number;
    name: string;
    operationTypeId: number;
}

export interface IOperationType {
    id: number;
    name: string;
    operations: IOperation[];
}

export interface INorm {
    operationId: number;
    minutesNorma: number;
}

export interface IStation {
    id: number;
    title: string;
}
export interface IPark {
    id: number;
    name: string;
}
export interface IWay {
    id: number;
    name: string;
}
export interface ILocomotive {
    id: number;
    inventoryNumber: number;
    direction: 'RIGHT' | 'LEFT';
}
export interface IWagon {
    id: string;
    inventoryNumber: number;
    position: number;
    type: string;
    isSick: boolean;
    isLaden: boolean;
    state: 'NotArrived' | 'StandingBy' | 'Finished' | 'inProgress';
    idleDaysLength: number;
    owner: string;
    loadCapacity: number;
    kilometersLeft: number;
}
export interface IStationData {
    station: IStation;
    park: IPark;
    way: IWay; // main attribute
    maxCarriagesCount: number;
    locomotives: ILocomotive[];
    wagons: IWagon[];
}

export interface IUser {
    id: number;
    login: string;
    password: string;
}
