import { createSlice, configureStore } from '@reduxjs/toolkit'

const wagonSlice = createSlice({
  name: 'wagonsSlice',
  initialState: {
    selectedWagons: []
  },
  reducers: {
    selectWagon: (state, action) => {
      state.selectedWagons.find(action.payload) ? 
      state.selectedWagons = state.selectedWagons.filter(el => el == action.payload):
      state.selectedWagons = <never[]>[...state.selectedWagons, action.payload]
    },
  }
})

export const { selectWagon } = wagonSlice.actions

export const store = configureStore({
  reducer: wagonSlice.reducer
})
